# Custom Object Instances

Everything about your Custom Object instances.
From now on, to access this endpoint, you need additional permissions. Please head over to the [Developer Hub](https://app.intercom.com/a/apps/_/developer-hub) app package authentication settings to configure the required permissions.

 - [PUT /contacts/{contact_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/updatecontact.md): You can update an existing contact (ie. user or lead). This endpoint handles both **contact updates** and **custom object associations**. See *`update a contact with an association to a custom object
 - [PUT /conversations/{conversation_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/updateconversation.md): You can update an existing conversation. If you want to reply to a coveration or take an action such as assign, unassign, open, close or snooze, take a look at the reply and manage endpoints. This end
 - [POST /custom_object_instances/{custom_object_type_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/createcustomobjectinstances.md): Create or update a custom object instance
 - [GET /custom_object_instances/{custom_object_type_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/listcustomobjectinstances.md): List instances of a custom object type. Three modes are supported: - **No filter** — returns all instances for the type. - **`references_contact_id`** — returns instances associated with the given con
 - [DELETE /custom_object_instances/{custom_object_type_identifier}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/deletecustomobjectinstancesbyid.md): Delete a single Custom Object instance by external_id.
 - [GET /custom_object_instances/{custom_object_type_identifier}/{custom_object_instance_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/getcustomobjectinstancesbyid.md): Fetch a Custom Object Instance by id.
 - [DELETE /custom_object_instances/{custom_object_type_identifier}/{custom_object_instance_id}](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/deletecustomobjectinstancesbyexternalid.md): Delete a single Custom Object instance using the Intercom defined id.
 - [Custom Object Instance](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/custom_object_instance.md): Schema: #/components/schemas/custom_object_instance
 - [Custom Object Instances](https://developers.intercom.com/docs/references/rest-api/api.intercom.io/custom-object-instances/custom_object_instances_paginated_list.md): Schema: #/components/schemas/custom_object_instances_paginated_list
